KDE 4.7 PyKDE API Reference

- KDE's Python API

# StorageAccess Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

This device interface is available on volume devices to access them (i.e. mount or unmount them).

A volume is anything that can contain data (partition, optical disc, memory card). It's a particular kind of block device.

## Signals
| accessibilityChanged (bool accessible, QString udi)
| setupDone (Solid.ErrorType error, QVariant errorData, QString udi)
| setupRequested (QString udi)
| teardownDone (Solid.ErrorType error, QVariant errorData, QString udi)
| teardownRequested (QString udi)
## Methods
| __init__ (self, QObject backendObject)
QString | filePath (self)
bool | isAccessible (self)
bool | isIgnored (self)
bool | setup (self)
bool | teardown (self)
## Static Methods
Solid.DeviceInterface.Type | deviceInterfaceType ()

## Signal Documentation

accessibilityChanged | ( | bool | accessible,
|  | QString | udi
| ) |  |  |

This signal is emitted when the accessiblity of this device has changed.

Parameters:

  | accessible | true if the volume is accessible, false otherwise
  | udi | the UDI of the volume

Signal syntax:
  `QObject.connect(source, SIGNAL("accessibilityChanged(bool, const QString&)"), target_slot)`

setupDone | ( | Solid.ErrorType | error,
|  | QVariant | errorData,
|  | QString | udi
| ) |  |  |

This signal is emitted when the attempted setting up of this device is completed. The signal might be spontaneous i.e. it can be triggered by another process.

Parameters:

  | error | type of error that occurred, if any
  | errorData | more information about the error, if any
  | udi | the UDI of the volume

Signal syntax:
  `QObject.connect(source, SIGNAL("setupDone(Solid::ErrorType, QVariant, const QString&)"), target_slot)`

setupRequested | ( | QString | udi
| ) |  |  |

This signal is emitted when a setup of this device is requested. The signal might be spontaneous i.e. it can be triggered by another process.

Parameters:

  | udi | the UDI of the volume

Signal syntax:
  `QObject.connect(source, SIGNAL("setupRequested(const QString&)"), target_slot)`

teardownDone | ( | Solid.ErrorType | error,
|  | QVariant | errorData,
|  | QString | udi
| ) |  |  |

This signal is emitted when the attempted tearing down of this device is completed. The signal might be spontaneous i.e. it can be triggered by another process.

Parameters:

  | error | type of error that occurred, if any
  | errorData | more information about the error, if any
  | udi | the UDI of the volume

Signal syntax:
  `QObject.connect(source, SIGNAL("teardownDone(Solid::ErrorType, QVariant, const QString&)"), target_slot)`

teardownRequested | ( | QString | udi
| ) |  |  |

This signal is emitted when a teardown of this device is requested. The signal might be spontaneous i.e. it can be triggered by another process

Parameters:

  | udi | the UDI of the volume

Signal syntax:
  `QObject.connect(source, SIGNAL("teardownRequested(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new StorageAccess object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

QString filePath | ( |  | self ) |

Retrieves the absolute path of this volume mountpoint.

Returns:
  the absolute path to the mount point if the volume is mounted, QString() otherwise

bool isAccessible | ( |  | self ) |

Indicates if this volume is mounted.

Returns:
  true if the volume is mounted

bool isIgnored | ( |  | self ) |

Indicates if this volume should be ignored by applications.

If it should be ignored, it generally means that it should be invisible to the user. It's useful for firmware partitions or OS reinstall partitions on some systems.

Returns:
  true if the volume should be ignored

bool setup | ( |  | self ) |

Mounts the volume.

Returns:
  false if the operation is not supported, true if the operation is attempted

bool teardown | ( |  | self ) |

Unmounts the volume.

Returns:
  false if the operation is not supported, true if the operation is attempted

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the StorageAccess device interface.

Returns:
  the StorageVolume device interface type

See also:
  Solid.Ifaces.Enums.DeviceInterface.Type